# Nextcloud Cospend 💰

Nextcloud Cospend управлява бюджет за група/споделен бюджет. Вдъхновен е от великолепния [IHateMoney](https://github.com/spiral-project/ihatemoney/).

Можете да го използвате, когато споделят къща, когато отивате на почивка с приятели, винаги когато споделяте разходи с група хора.

Дава ви възможност да създавате проекти с членове и сметки. За всеки член се изчислява салдо от сметките по проекта. Салдата не представляват абсолютна сума парични средства на разположение на членовете, а по-скоро относителна информация, показваща дали даден член е похарчил повече от групата, отколкото групата е похарчила за нея/него, без значение точно кой е похарчил за кого. Така можете да виждате кой ръководи групата и кои са нейни членове. В крайна сметка можете да помолите за план за уреждане на сметките, който да Ви дава информация кои плащания да се извършат с цел възстановяване на салдата на членовете.

Членовете по проекта са независими от потребителите на Nextcloud. Проектите може да се споделят с други потребители на Nextcloud или посредством общественодостъпни хипервръзки.

[MoneyBuster](https://gitlab.com/eneiluj/moneybuster) за Android се [предлага за F-Droid](https://f-droid.org/packages/net.eneiluj.moneybuster/) и в [Play store](https://play.google.com/store/apps/details?id=net.eneiluj.moneybuster).

В момента в процес на разработка е [PayForMe](https://github.com/mayflower/PayForMe) за iOS!

Частните и общодостъпните APIs са документирани посредством [ инструмента за извличане Nextcloud OpenAPI](https://github.com/nextcloud/openapi-extractor/). Достъп до настоящата документация може да се получи директно в Nextcloud. Само трябва да инсталирате Cospend (>= v1.6.0) и да използвате [приложението OCS API Viewer](https://apps.nextcloud.com/apps/ocs_api_viewer), за да преглеждате документацията на OpenAPI.

## Функции

* ✎ Създаване/редактиране/изтриване на проекти, членове, сметки, категории сметки, валути
* ⚖ Проверявайте салдата на членовете
* 🗠 Показвайте статистиката за проекта
* ♻ Показвайте плана за уреждане на сметките
* Местете сметки от едни проект в друг
* Премествайте сметки в кошчето, преди реално да ги изтриете
* Архивирайте старите проекти, преди да ги изтриете
* 🎇 Автоматично създавайте сметки за възстановяване от плана за уреждане на сметките
* 🗓 Създайте повтарящи се сметки (за деня/седмицата/месеца/годината)
* 📊 По желание определете сума за всеки участник – за новите сметки
* 🔗 Свържете личните файлове със сметките (снимка на физическа разписка например)
* 👩 Общественодостъпни хипервръзки за хората извън Nextcloud (може да са защитени с парола)
* 👫 Споделяне на проекти с ползватели/групи/кръгове на Nextcloud
* 🖫 Импортиране/експортиране на проекти като csv (съвместими със csv файлове от IHateMoney и SplitWise)
* 🔗 Генериране на хипервръзка/QR код за лесно добавяне на проекти в MoneyBuster
* 🗲 Изпълнение на уведомления в Nextcloud и на поток на дейността

Това приложение обичайно поддържа последните 2 или 3 от основните версии на Nextcloud.

Приложението се разработва.

🌍 Помогнете ни да преведем това приложение в Crowdin проекта [Nextcloud-Cospend/MoneyBuster ](https://crowdin.com/project/moneybuster).

⚒ Проверете други начини за подкрепа в [насоките за принос](https://github.com/julien-nc/cospend-nc/blob/master/CONTRIBUTING.md).

## Документация

* [Документация за потребителя](https://github.com/julien-nc/cospend-nc/blob/master/docs/user.md)
* [Документация за администратора](https://github.com/julien-nc/cospend-nc/blob/master/docs/admin.md)
* [Документация за разработчиците](https://github.com/julien-nc/cospend-nc/blob/master/docs/dev.md)
* [ПРОМЕНИ](https://github.com/julien-nc/cospend-nc/blob/master/CHANGELOG.md#change-log)
* [АВТОРИ](https://github.com/julien-nc/cospend-nc/blob/master/AUTHORS.md#authors)

## Известни проблеми

* Не ви прави богати

Всяка обратна връзка ще бъде оценена.

